﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms;

namespace DateTimePickerAdv
{
    public partial class Form1 : MetroForm
    {
        #region Variables
        //Initialize the variable
        private bool preventFromPopup = false;
        #endregion

        public Form1()
        {
            InitializeComponent();
            //To raise the events
            this.dateTimePickerAdv1.PopupWindow.BeforeCloseUp += new CancelEventHandler(PopupWindow_BeforeCloseUp);
            this.dateTimePickerAdv1.PopupWindow.Calendar.NoneButton.MouseDown += new MouseEventHandler(NoneButton_MouseDown);
            this.dateTimePickerAdv1.PopupWindow.Calendar.TodayButton.MouseDown += new MouseEventHandler(TodayButton_MouseDown);
            this.dateTimePickerAdv1.PopupWindow.Calendar.TodayButton.Click += new EventHandler(TodayButton_Click);
            this.dateTimePickerAdv1.PopupWindow.Calendar.NoneButtonClick += new EventHandler(Calendar_NoneButtonClick);
        }

        //The event will raised if Mouse pressed on None Button
        void NoneButton_MouseDown(object sender, MouseEventArgs e)
        {
            preventFromPopup = true;
        }

        //The event will raised if Mouse pressed on Today Button
        void TodayButton_MouseDown(object sender, MouseEventArgs e)
        {
            preventFromPopup = true;
        }

        //To prevent the popup window hiding
        void PopupWindow_BeforeCloseUp(object sender, CancelEventArgs e)
        {
            if (preventFromPopup)
                e.Cancel = true;
        }

        //Show calendar by using its DisplayMethod.
        void Calendar_NoneButtonClick(object sender, EventArgs e)
        {
            this.dateTimePickerAdv1.DisplayCalendar();
        }

        void TodayButton_Click(object sender, EventArgs e)
        {
            this.dateTimePickerAdv1.DisplayCalendar();
        }
    }
}
